"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
exports.default = {
    // comparisonOperators: [
    //     'And',
    //     'BooleanEquals',
    //     'Not',
    //     'NumericEquals',
    //     'NumericGreaterThan',
    //     'NumericGreaterThanEquals',
    //     'NumericLessThan',
    //     'NumericLessThanEquals',
    //     'Or',
    //     'StringEquals',
    //     'StringGreaterThan',
    //     'StringGreaterThanEquals',
    //     'StringLessThan',
    //     'StringLessThanEquals',
    //     'TimestampEquals',
    //     'TimestampGreaterThan',
    //     'TimestampGreaterThanEquals',
    //     'TimestampLessThan',
    //     'TimestampLessThanEquals'
    // ],
    supportedComparisonOperator: [
        'BooleanEquals',
        'NumericEquals',
        'NumericGreaterThan',
        'NumericGreaterThanEquals',
        'NumericLessThan',
        'NumericLessThanEquals',
        'StringEquals',
        'StringGreaterThan',
        'StringGreaterThanEquals',
        'StringLessThan',
        'StringLessThanEquals',
        'TimestampEquals',
        'TimestampGreaterThan',
        'TimestampGreaterThanEquals',
        'TimestampLessThan',
        'TimestampLessThanEquals',
    ],
    convertOperator: {
        BooleanEquals: (value, other) => lodash_1.default.eq(value, other),
        NumericEquals: (value, other) => lodash_1.default.eq(value, other),
        NumericGreaterThan: (value, other) => lodash_1.default.gt(value, other),
        NumericGreaterThanEquals: (value, other) => lodash_1.default.gte(value, other),
        NumericLessThan: (value, other) => lodash_1.default.lt(value, other),
        NumericLessThanEquals: (value, other) => lodash_1.default.lte(value, other),
        StringEquals: (value, other) => lodash_1.default.eq(value, other),
        StringGreaterThan: (value, other) => lodash_1.default.gt(value, other),
        StringGreaterThanEquals: (value, other) => lodash_1.default.gte(value, other),
        StringLessThan: (value, other) => lodash_1.default.lt(value, other),
        StringLessThanEquals: (value, other) => lodash_1.default.lte(value, other),
        TimestampEquals: (value, other) => lodash_1.default.eq(value, other),
        TimestampGreaterThan: (value, other) => lodash_1.default.gt(value, other),
        TimestampGreaterThanEquals: (value, other) => lodash_1.default.gte(value, other),
        TimestampLessThan: (value, other) => lodash_1.default.lt(value, other),
        TimestampLessThanEquals: (value, other) => lodash_1.default.lte(value, other),
    },
};
//# sourceMappingURL=enum.js.map